@import url('https://fonts.googleapis.com/css2?family=Inter&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: Inter;
    min-height: 100vh;
    line-height: 1.5;
    background-color: #fefefe;
}

header {
    display: flex;
    flex-direction: column;
    gap: 1.50rem;
    padding: 2rem;
    text-align: center;
}

a {
    color:  #7852ee;
}

header > a {
    text-decoration: none;
}

.title {
    font-size: 2.25rem;
}

.title-2 > a {
    text-decoration: none;
    color: #2C3339;
}

.title-2 > a:hover {
    text-decoration: underline;
    text-decoration-color: #7852ee;
}

.toc {
    display: flex;
    justify-content: space-between;
}

.theme-btn {
    background-color: #fefefe;
    border: none;
}

details {
    text-align: left;
    margin-top: 2rem;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
}

details > p, details > div p {
    margin: .50rem 0;
}

details > p a, details > div p a {
    text-decoration: none;
    color:   #309676;

}

.active-page-link > a {
    color: #7852ee;
}

.unit ~ p {
    margin-left: 4rem;
}

main {
    display: flex;
    flex-direction: column;
    padding: 2rem 4rem;
    gap: 2rem;
    max-width: 75%;
}

mark {
    background-color: rgba(255, 208, 0, 0.4);
}

h1:not(.title) {
    margin-bottom: 1.5rem;
}

h2, h3, h4, h5, h6 {
    margin: .50rem 0;
    margin-top: 2rem;
}

.title-2 {
    margin: 0;
}

.title-header > a {
    /* color: #2aaa8a; */
    color:   #2C3339;

}

.author-name {
    font-size: 20px;
}

.content > p, li > p {
    margin: .50rem 0;
}

em {
    color: #309676;
}

hr {
    margin: 2rem 0;
    border: 1px solid #2C3339;
    width: 75%;
    align-self: center;
}

.content {
    display: flex;
    flex-direction: column;
}

table {
    border-collapse: collapse;
    margin: 2rem 0;
    /* align-self: flex-start; */
}

tr, td, th {
    border: 1px solid hsla(210, 15%, 20%, 0.2);
    padding: .50rem .75rem;
}

th {
    border-top: 3px solid #25eeb1;
}

.content > h1 {
    text-decoration: underline;
    text-decoration-color: #3CBD94;
    color:  #2C3339;
}

ul, ol {
    margin-left: 1rem;
}

.ending {
 width: 100%;
 border: 1px solid #3CBD94;

}

.links-nextprev {
    list-style: none;
    display: flex;
    justify-content: space-evenly;
    text-transform: uppercase;
}

.links-nextprev > li a {
    text-decoration: none;
    border: 1px solid #3CBD94;
    border-radius: 4px;
    background-color: whitesmoke;
    color: #309676;
    padding: .25rem 1rem;
}

blockquote {
    background-color: whitesmoke;
    padding: 2rem;
    border-left: 3px solid #25eeb1;
    margin: 2rem 0;
}

footer {
    display: flex;
    background-color: #2C3339;
    color: white;
    margin-top: auto;
    width: 100%;
    justify-content: center;
    padding-bottom: 1rem;
    padding-left: 14rem;
    gap: 8rem;
}

footer > div {
    display: flex;
    flex-flow: column wrap;
    flex: 1;    
}

footer > div > p:nth-child(2) {
    font-size: 12px;
}

.footer-links {
    color: #3CBD94;
}

.intro ~ ul > li > p > strong {
    background-color:  #D1F8EB;
}

::selection {
    background-color:   #A4F1D8;
}

@media (orientation: portrait) {
    main {
        padding: 2rem 2rem;
        max-width: 100%;
    }

    img {
        width: 75%;
    }

    pre, code[class*="language-"], pre[class*="language-"] {
        font-size: 1rem !important;
    }

    footer {
        padding: 0 2rem;
        gap: 1rem;
    }

    footer > div {
        padding: 0;
    }
}
